/***************************************************************************\
| Project: AE Installer														|
| By: Gumby & Iritscen														|
| File: About.cpp															|
| Function: Handles the About window!										|
| Created: 08/05/2009 11:10:32												|
\***************************************************************************/

////@begin includes
////@end includes
#include "globals.h"
#include "about.h"

////@begin XPM images
////@end XPM images

/*
 * About type definition
 */

IMPLEMENT_DYNAMIC_CLASS( About, wxDialog )


/*
 * About event table definition
 */

BEGIN_EVENT_TABLE( About, wxDialog )

////@begin About event table entries
////@end About event table entries

END_EVENT_TABLE()


/*
 * About constructors
 */

About::About()
{
    Init();
}

About::About( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
    Init();
    Create(parent, id, caption, pos, size, style);
}


/*
 * About creator
 */

bool About::Create( wxWindow* parent, wxWindowID id, const wxString& caption, const wxPoint& pos, const wxSize& size, long style )
{
	////@begin About creation
    SetExtraStyle(wxWS_EX_BLOCK_EVENTS);
    wxDialog::Create( parent, id, caption, pos, size, style );
	
    CreateControls();
    if (GetSizer())
    {
        GetSizer()->SetSizeHints(this);
    }
    Centre();
	////@end About creation
    return true;
}


/*
 * About destructor
 */

About::~About()
{
	////@begin About destruction
	////@end About destruction
}


/*
 * Member initialisation
 */

void About::Init()
{
	////@begin About member initialisation
	////@end About member initialisation
}


/*
 * Control creation for About
 */

void About::CreateControls()
{    
	////@begin About content construction
    About* itemDialog1 = this;
	
    wxBoxSizer* itemBoxSizer2 = new wxBoxSizer(wxVERTICAL);
    itemDialog1->SetSizer(itemBoxSizer2);
	
	wxPanel* itemPanel3 = new wxPanel( itemDialog1, ID_PANEL2, wxDefaultPosition, wxDefaultSize, wxNO_BORDER|wxTAB_TRAVERSAL );
    itemBoxSizer2->Add(itemPanel3, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);
	
    wxBoxSizer* itemBoxSizer4 = new wxBoxSizer(wxVERTICAL);
    itemPanel3->SetSizer(itemBoxSizer4);
	
	string aboutText = "AE/Mod Installer v";
	aboutText = aboutText + INSTALLER_VERSION;
	aboutText = aboutText + "\nby Gumby and Iritscen\n\n" +
							"AE credited to:\n" +
							"EdT: BGI troops, additional weapons\n" +
							"geyser: Original AE framework\n" +
							"Gumby: General AE framework, Windows Installer, add'l Daodan DLL coding\n" +
							"Iritscen: Mac port of Installer, add'l Installer coding\n" +
							"Loser: Improved combat animation and AI\n" +
							"Neo: OniSplit, documenting Oni, tech support\n" +
							"ONIrules: Additional weapons\n" +
							"Paradox: Documenting of Oni\n" +
							"RossyMiles: Daodan DLL port to C\n" +
							"SFeLi: Original asm Daodan DLL\n" +
							"ssg: Documenting Oni's game data";
    wxStaticText* itemStaticText5 = new wxStaticText( itemPanel3, wxID_STATIC, _(aboutText.c_str()), wxDefaultPosition, wxDefaultSize, wxNO_BORDER );
    itemBoxSizer4->Add(itemStaticText5, 0, wxALIGN_LEFT|wxALL, 5);
	
    wxStaticLine* itemStaticLine6 = new wxStaticLine( itemPanel3, wxID_STATIC, wxDefaultPosition, wxDefaultSize, wxLI_HORIZONTAL );
    itemBoxSizer4->Add(itemStaticLine6, 0, wxGROW|wxALL, 5);
	
	wxHyperlinkCtrl* oniUrl = new wxHyperlinkCtrl( itemPanel3, wxID_STATIC, "http://oni.bungie.org", "http://oni.bungie.org", 
		wxDefaultPosition, wxDefaultSize, wxHL_DEFAULT_STYLE);
    itemBoxSizer4->Add(oniUrl, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);
	
    wxStdDialogButtonSizer* itemStdDialogButtonSizer8 = new wxStdDialogButtonSizer;
	
    itemBoxSizer4->Add(itemStdDialogButtonSizer8, 0, wxALIGN_CENTER_HORIZONTAL|wxALL, 5);
    wxButton* itemButton9 = new wxButton( itemPanel3, wxID_OK, _("&OK"), wxDefaultPosition, wxDefaultSize, 0 );
    itemStdDialogButtonSizer8->AddButton(itemButton9);
	
    itemStdDialogButtonSizer8->Realize();
	
	////@end About content construction
}


/*
 * Should we show tooltips?
 */

bool About::ShowToolTips()
{
    return true;
}

/*
 * Get bitmap resources
 */

wxBitmap About::GetBitmapResource( const wxString& name )
{
    // Bitmap retrieval
	////@begin About bitmap retrieval
    wxUnusedVar(name);
    return wxNullBitmap;
	////@end About bitmap retrieval
}

/*
 * Get icon resources
 */

wxIcon About::GetIconResource( const wxString& name )
{
    // Icon retrieval
	////@begin About icon retrieval
    wxUnusedVar(name);
    return wxNullIcon;
	////@end About icon retrieval
}
